import request from 'ecip-web/utils/request'

export const getTreeData = (data, params) => {
  return request({
    url: 'api/v1/form/genFormCategory/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const findRoot = () => {
  return request({
    url: `api/v1/form/genFormCategory/findRoot`,
    method: 'get'
  })
}

export const findChildrenById = (id) => {
  return request({
    url: `api/v1/form/genFormCategory/findChildrenById/${id}`,
    method: 'get'
  })
}

export const findCategoryMainTree = () => {
  return request({
    url: `api/v1/form/genFormCategory/findCategoryMainTree`,
    method: 'get'
  })
}

export const findByPrimaryKey = (id) => {
  return request({
    url: `api/v1/form/genFormCategory/${id}`,
    method: 'get'
  })
}

export const removeByIds = (ids) => {
  return request({
    url: 'api/v1/form/genFormCategory/removeByIds',
    method: 'put',
    data: ids || []
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/form/genFormCategory/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/form/genFormCategory',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/form/genFormCategory/${id}`,
    method: 'put',
    data: data
  })
}

export const checkCode = (id, code, tenantId) => {
  return request({
    url: 'api/v1/form/genFormCategory/checkCode',
    method: 'get',
    params: { id: id, code: code, tenantId: tenantId }
  })
}
