import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/form/genFormMain/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/form/genFormMain/${id}`,
    method: 'get'
  })
}

export const getList = (params, withChild) => {
  return request({
    url: `api/v1/form/genFormMain/list`,
    method: 'get',
    params: { ...params, withChild: withChild || false }
  })
}

export const findFormMainList = () => {
  return request({
    url: `api/v1/form/genFormMain/list`,
    method: 'get'
  })
}

export const removeByIds = (ids) => {
  return request({
    url: `api/v1/form/genFormMain/removeByIds`,
    method: 'put',
    data: ids || []
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: `api/v1/form/genFormMain/deleteByIds`,
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/form/genFormMain',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/form/genFormMain/${id}`,
    method: 'put',
    data: data
  })
}
