import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/genConfig/customObj/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/genConfig/customObj/${id}`,
    method: 'get'
  })
}

export const listAll = () => {
  return request({
    url: `api/v1/genConfig/customObj/listAll`,
    method: 'get'
  })
}

export const updateSort = (id, params) => {
  return request({
    url: `api/v1/genConfig/customObj/updateSort/${id}`,
    method: 'put',
    params: params
  })
}

export const generateCustomObj = (tableId, javaFields) => {
  return request({
    url: `api/v1/genConfig/customObj/generate/${tableId}`,
    method: 'post',
    data: javaFields || []
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/genConfig/customObj/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/genConfig/customObj',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/genConfig/customObj/${id}`,
    method: 'put',
    data: data
  })
}
