import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/genConfig/databaseType/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/genConfig/databaseType/${id}`,
    method: 'get'
  })
}

export const listAll = () => {
  return request({
    url: `api/v1/genConfig/databaseType/listAll`,
    method: 'get'
  })
}

export const listTableFieldByDbType = (dbType) => {
  return request({
    url: `api/v1/genConfig/databaseType/listByDbType/${dbType}`,
    method: 'get'
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/genConfig/databaseType/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/genConfig/databaseType',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/genConfig/databaseType/${id}`,
    method: 'put',
    data: data
  })
}
